org.apache.cassandra.service

## Class PBSPredictionResult

- java.lang.Object
- - org.apache.cassandra.service.PBSPredictionResult

- All Implemented Interfaces:
    java.io.Serializable

      public class PBSPredictionResult
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PBSPredictionResult(int n, int r, int w, float timeSinceWrite, int numberVersionsStale, float consistencyProbability, float averageReadLatency, float averageWriteLatency, long percentileReadLatencyValue, float percentileReadLatencyPercentile, long percentileWriteLatencyValue, float percentileWriteLatencyPercentile)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getAverageReadLatency()`
    `float` | `getAverageWriteLatency()`
    `float` | `getConsistencyProbability()`
    `int` | `getN()`
    `int` | `getNumberVersionsStale()`
    `float` | `getPercentileReadLatencyPercentile()`
    `long` | `getPercentileReadLatencyValue()`
    `float` | `getPercentileWriteLatencyPercentile()`
    `long` | `getPercentileWriteLatencyValue()`
    `int` | `getR()`
    `float` | `getTimeSinceWrite()`
    `int` | `getW()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PBSPredictionResult

          public PBSPredictionResult(int n,
                             int r,
                             int w,
                             float timeSinceWrite,
                             int numberVersionsStale,
                             float consistencyProbability,
                             float averageReadLatency,
                             float averageWriteLatency,
                             long percentileReadLatencyValue,
                             float percentileReadLatencyPercentile,
                             long percentileWriteLatencyValue,
                             float percentileWriteLatencyPercentile)

  - ### Method Detail

    - #### getN

          public int getN()

    - #### getR

          public int getR()

    - #### getW

          public int getW()

    - #### getTimeSinceWrite

          public float getTimeSinceWrite()

    - #### getNumberVersionsStale

          public int getNumberVersionsStale()

    - #### getConsistencyProbability

          public float getConsistencyProbability()

    - #### getAverageReadLatency

          public float getAverageReadLatency()

    - #### getAverageWriteLatency

          public float getAverageWriteLatency()

    - #### getPercentileReadLatencyValue

          public long getPercentileReadLatencyValue()

    - #### getPercentileReadLatencyPercentile

          public float getPercentileReadLatencyPercentile()

    - #### getPercentileWriteLatencyValue

          public long getPercentileWriteLatencyValue()

    - #### getPercentileWriteLatencyPercentile

          public float getPercentileWriteLatencyPercentile()

Copyright © 2014 The Apache Software Foundation